QuickHashIntHash::exists
QuickHashIntHash::getSize
QuickHashIntHash
PHP Manual

# QuickHashIntHash::get

(PECL quickhash >= Unknown)

QuickHashIntHash::get — Récupère la valeur correspondant à une clé dans le hash

### Description

public int QuickHashIntHash::get ( int `$key` )

Récupère la valeur correspondant à une clé dans le hash

### Liste de paramètres

`key`

  La clé pour l'entrée à récupérer.

### Valeurs de retour

La valeur si la clé existe, `NULL` sinon.

### Exemples

Exemple #1 Exemple QuickHashIntHash::get()

`<?php
$hash = new QuickHashIntHash( 8 );
var_dump( $hash->get( 1 ) );
var_dump( $hash->add( 2 ) );
var_dump( $hash->get( 2 ) );
var_dump( $hash->add( 3, 5 ) );
var_dump( $hash->get( 3 ) );
?>`

L'exemple ci-dessus va afficher quelque chose de similaire à :

    bool(false)
    bool(true)
    int(1)
    bool(true)
    int(5)

QuickHashIntHash::exists
QuickHashIntHash::getSize
QuickHashIntHash
PHP Manual